/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_DIALOG_HH_
# define WSCOUT_GUI_DIALOG_HH_

# include <QtGui/QDialog>
# include <QtGui/QLabel>
# include <QtGui/QGridLayout>

namespace wscout
{

  namespace gui
  {

    /// Base for WScout dialog boxes.
    struct Dialog: public QDialog
    {
      /// Default constructor.
      Dialog(QWidget* parent = 0);

    protected:
      QLabel*			makeLabel(const QString& s,
					  Qt::Alignment align = Qt::AlignLeft);
      QGridLayout&		layout();
      const QGridLayout&	layout() const;
    };

  } // End of namespace gui.

} // End of namespace wscout.

# include "wscout_gui_dialog.hxx"

#endif // ! WSCOUT_GUI_DIALOG_HH_
