/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_HEADER_BASE_HXX_
# define WSCOUT_GUI_HEADER_BASE_HXX_

# include "wscout_gui_header_base.hh"
# include "wscout_gui_packet.hh"

namespace wscout
{

  namespace gui
  {

    template <class Exact, unsigned Proto>
    HeaderBase<Exact, Proto>::HeaderBase(QWidget* parent): HeaderFrame(parent)
    {
    }

    template <class Exact, unsigned Proto>
    AbstractHeader*
    HeaderBase<Exact, Proto>::allocator()
    {
      return new Exact;
    }

    template <class Exact, unsigned Proto>
    void
    HeaderBase<Exact, Proto>::registerProtocol()
    {
      Packet::registerProtocol(protocol::id (protocol), allocator);
    }

  } // End of namespace gui.

} // End of namespace wscout.

#endif // ! WSCOUT_GUI_HEADER_BASE_HXX_
