/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_GUI_PRISM_HEADER_HXX_
# define WSCOUT_GUI_PRISM_HEADER_HXX_

# include "wscout_gui_prism_header.hh"

namespace wscout
{

  namespace gui
  {

    inline
    PrismHeader::PrismHeader(QWidget* parent):
      HeaderBase<PrismHeader, protocol::PRISM_HEADER> (parent)
    {
      QBoxLayout* const	l = layout();

      time.setFont(QFont ("Fixed"));
      l->addWidget(&time);
      l->addSpacing(default_spacing);

      l->addWidget(&rate);
      l->addSpacing(default_spacing);

      l->addWidget(&channel);
      l->addStretch();

      l->addWidget(&signal);
    }

  } // End of namespace gui.

} // End of namespace wscout.

#endif // ! WSCOUT_GUI_PRISM_HEADER_HXX_
